Bug 532 - You cannot view the list of users at this time. Please try again.
You cannot view the list of users at this time. Please try again.
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.0
All Windows 98
: P3 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-28 23:04 UTC by Matic Koncan
Modified: 2005-11-14 09:31 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matic Koncan 2003-09-28 23:04:22 UTC
I get an error "You cannot view the list of users at this time. Please try 
again." on Windows 98 while trying to get user list from Samba 3.0.0 server. I 
do not have a problem with Windows 2000.
The function worked fine on Samba 2.2.8a; smb.conf is the same, except mysql 
support is added, but I tried also without.

This is my level 10 log:
[2003/09/29 07:55:20, 5] passdb/pdb_interface.c:make_pdb_methods_name(452)
  Found pdb backend smbpasswd
[2003/09/29 07:55:20, 5] passdb/pdb_interface.c:make_pdb_methods_name(455)
  pdb backend smbpasswd has a valid init
[2003/09/29 07:55:20, 5] passdb/pdb_interface.c:make_pdb_methods_name(431)
  Attempting to find an passdb backend to match guest (guest)
[2003/09/29 07:55:20, 5] passdb/pdb_interface.c:make_pdb_methods_name(452)
  Found pdb backend guest
[2003/09/29 07:55:20, 5] passdb/pdb_interface.c:make_pdb_methods_name(455)
  pdb backend guest has a valid init
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_KEEPALIVE = 1
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_REUSEADDR = 1
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_BROADCAST = 0
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option TCP_NODELAY = 1
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option IPTOS_LOWDELAY = 0
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option IPTOS_THROUGHPUT = 0
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_SNDBUF = 16384
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_RCVBUF = 16384
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_SNDLOWAT = 1
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_RCVLOWAT = 1
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_SNDTIMEO = 0
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_RCVTIMEO = 0
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_KEEPALIVE = 1
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_REUSEADDR = 1
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_BROADCAST = 0
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option TCP_NODELAY = 1
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option IPTOS_LOWDELAY = 0
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option IPTOS_THROUGHPUT = 0
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_SNDBUF = 16384
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_RCVBUF = 16384
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_SNDLOWAT = 1
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_RCVLOWAT = 1
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_SNDTIMEO = 0
[2003/09/29 07:55:53, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_RCVTIMEO = 0
[2003/09/29 07:55:53, 5] lib/gencache.c:gencache_init(59)
  Opening cache file at /usr/local/samba/var/locks/gencache.tdb
[2003/09/29 07:55:53, 5] libsmb/namecache.c:namecache_enable(58)
  namecache_enable: enabling netbios namecache, timeout 660 seconds
[2003/09/29 07:55:53, 10] registry/reg_cachehook.c:reghook_cache_add(60)
  reghook_cache_add: Adding key [/HKLM/SYSTEM/CurrentControlSet/Control/Print]
[2003/09/29 07:55:53, 8] lib/adt_tree.c:sorted_tree_add(247)
  sorted_tree_add: Enter
[2003/09/29 07:55:53, 10] lib/adt_tree.c:sorted_tree_add(314)
  sorted_tree_add: Successfully added node 
[HKLM/SYSTEM/CurrentControlSet/Control/Print] to tree
[2003/09/29 07:55:53, 8] lib/adt_tree.c:sorted_tree_add(316)
  sorted_tree_add: Exit
[2003/09/29 07:55:53, 5] passdb/pdb_interface.c:make_pdb_context_list(535)
  Trying to load: mysql:mysql
[2003/09/29 07:55:53, 5] passdb/pdb_interface.c:smb_register_passdb(55)
  Attempting to register passdb backend smbpasswd
[2003/09/29 07:55:53, 5] passdb/pdb_interface.c:smb_register_passdb(68)
  Successfully added passdb backend 'smbpasswd'
[2003/09/29 07:55:53, 5] passdb/pdb_interface.c:smb_register_passdb(55)
  Attempting to register passdb backend tdbsam
[2003/09/29 07:55:53, 5] passdb/pdb_interface.c:smb_register_passdb(68)
  Successfully added passdb backend 'tdbsam'
[2003/09/29 07:55:53, 5] passdb/pdb_interface.c:smb_register_passdb(55)
  Attempting to register passdb backend guest
[2003/09/29 07:55:53, 5] passdb/pdb_interface.c:smb_register_passdb(68)
  Successfully added passdb backend 'guest'
[2003/09/29 07:55:53, 5] passdb/pdb_interface.c:make_pdb_methods_name(431)
  Attempting to find an passdb backend to match mysql:mysql (mysql)
[2003/09/29 07:55:53, 2] passdb/pdb_interface.c:make_pdb_methods_name(437)
  No builtin backend found, trying to load plugin
[2003/09/29 07:55:53, 5] lib/module.c:smb_probe_module(102)
  Probing module 'mysql'
[2003/09/29 07:55:53, 5] lib/module.c:smb_probe_module(113)
  Probing module 'mysql': Trying to load from /usr/local/samba/lib/pdb/mysql.so
[2003/09/29 07:55:53, 5] passdb/pdb_interface.c:smb_register_passdb(55)
  Attempting to register passdb backend mysql
[2003/09/29 07:55:53, 5] passdb/pdb_interface.c:smb_register_passdb(68)
  Successfully added passdb backend 'mysql'
[2003/09/29 07:55:53, 2] lib/module.c:do_smb_load_module(64)
  Module '/usr/local/samba/lib/pdb/mysql.so' loaded
[2003/09/29 07:55:53, 5] passdb/pdb_interface.c:make_pdb_methods_name(452)
  Found pdb backend mysql
[2003/09/29 07:55:53, 1] passdb/pdb_mysql.c:mysqlsam_init(922)
  Connecting to database server, host: localhost, user: user, password: pass, 
database: db, port: 3306
[2003/09/29 07:55:53, 5] passdb/pdb_mysql.c:mysqlsam_init(944)
  Connected to mysql db
[2003/09/29 07:55:53, 5] passdb/pdb_interface.c:make_pdb_methods_name(455)
  pdb backend mysql:mysql has a valid init
[2003/09/29 07:55:53, 5] passdb/pdb_interface.c:make_pdb_context_list(535)
  Trying to load: smbpasswd
[2003/09/29 07:55:53, 5] passdb/pdb_interface.c:make_pdb_methods_name(431)
  Attempting to find an passdb backend to match smbpasswd (smbpasswd)
[2003/09/29 07:55:53, 5] passdb/pdb_interface.c:make_pdb_methods_name(452)
  Found pdb backend smbpasswd
[2003/09/29 07:55:53, 5] passdb/pdb_interface.c:make_pdb_methods_name(455)
  pdb backend smbpasswd has a valid init
[2003/09/29 07:55:53, 5] passdb/pdb_interface.c:make_pdb_methods_name(431)
  Attempting to find an passdb backend to match guest (guest)
[2003/09/29 07:55:53, 5] passdb/pdb_interface.c:make_pdb_methods_name(452)
  Found pdb backend guest
[2003/09/29 07:55:53, 5] passdb/pdb_interface.c:make_pdb_methods_name(455)
  pdb backend guest has a valid init
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_KEEPALIVE = 1
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_REUSEADDR = 1
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_BROADCAST = 0
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option TCP_NODELAY = 1
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option IPTOS_LOWDELAY = 0
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option IPTOS_THROUGHPUT = 0
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_SNDBUF = 16384
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_RCVBUF = 16384
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_SNDLOWAT = 1
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_RCVLOWAT = 1
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_SNDTIMEO = 0
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_RCVTIMEO = 0
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_KEEPALIVE = 1
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_REUSEADDR = 1
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_BROADCAST = 0
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option TCP_NODELAY = 1
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option IPTOS_LOWDELAY = 0
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option IPTOS_THROUGHPUT = 0
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_SNDBUF = 16384
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_RCVBUF = 16384
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_SNDLOWAT = 1
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_RCVLOWAT = 1
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_SNDTIMEO = 0
[2003/09/29 07:55:57, 5] lib/util_sock.c:print_socket_options(105)
  socket option SO_RCVTIMEO = 0
[2003/09/29 07:55:57, 5] lib/gencache.c:gencache_init(59)
  Opening cache file at /usr/local/samba/var/locks/gencache.tdb
[2003/09/29 07:55:57, 5] libsmb/namecache.c:namecache_enable(58)
  namecache_enable: enabling netbios namecache, timeout 660 seconds
[2003/09/29 07:55:57, 10] registry/reg_cachehook.c:reghook_cache_add(60)
  reghook_cache_add: Adding key [/HKLM/SYSTEM/CurrentControlSet/Control/Print]
[2003/09/29 07:55:57, 8] lib/adt_tree.c:sorted_tree_add(247)
  sorted_tree_add: Enter
[2003/09/29 07:55:57, 10] lib/adt_tree.c:sorted_tree_add(314)
  sorted_tree_add: Successfully added node 
[HKLM/SYSTEM/CurrentControlSet/Control/Print] to tree
[2003/09/29 07:55:57, 8] lib/adt_tree.c:sorted_tree_add(316)
  sorted_tree_add: Exit
[2003/09/29 07:55:57, 5] passdb/pdb_interface.c:make_pdb_context_list(535)
  Trying to load: mysql:mysql
[2003/09/29 07:55:57, 5] passdb/pdb_interface.c:smb_register_passdb(55)
  Attempting to register passdb backend smbpasswd
[2003/09/29 07:55:57, 5] passdb/pdb_interface.c:smb_register_passdb(68)
  Successfully added passdb backend 'smbpasswd'
[2003/09/29 07:55:57, 5] passdb/pdb_interface.c:smb_register_passdb(55)
  Attempting to register passdb backend tdbsam
[2003/09/29 07:55:57, 5] passdb/pdb_interface.c:smb_register_passdb(68)
  Successfully added passdb backend 'tdbsam'
[2003/09/29 07:55:57, 5] passdb/pdb_interface.c:smb_register_passdb(55)
  Attempting to register passdb backend guest
[2003/09/29 07:55:57, 5] passdb/pdb_interface.c:smb_register_passdb(68)
  Successfully added passdb backend 'guest'
[2003/09/29 07:55:57, 5] passdb/pdb_interface.c:make_pdb_methods_name(431)
  Attempting to find an passdb backend to match mysql:mysql (mysql)
[2003/09/29 07:55:57, 2] passdb/pdb_interface.c:make_pdb_methods_name(437)
  No builtin backend found, trying to load plugin
[2003/09/29 07:55:57, 5] lib/module.c:smb_probe_module(102)
  Probing module 'mysql'
[2003/09/29 07:55:57, 5] lib/module.c:smb_probe_module(113)
  Probing module 'mysql': Trying to load from /usr/local/samba/lib/pdb/mysql.so
[2003/09/29 07:55:57, 5] passdb/pdb_interface.c:smb_register_passdb(55)
  Attempting to register passdb backend mysql
[2003/09/29 07:55:57, 5] passdb/pdb_interface.c:smb_register_passdb(68)
  Successfully added passdb backend 'mysql'
[2003/09/29 07:55:57, 2] lib/module.c:do_smb_load_module(64)
  Module '/usr/local/samba/lib/pdb/mysql.so' loaded
[2003/09/29 07:55:57, 5] passdb/pdb_interface.c:make_pdb_methods_name(452)
  Found pdb backend mysql
[2003/09/29 07:55:57, 1] passdb/pdb_mysql.c:mysqlsam_init(922)
  Connecting to database server, host: localhost, user: user, password: pass, 
database: db, port: 3306
[2003/09/29 07:55:57, 5] passdb/pdb_mysql.c:mysqlsam_init(944)
  Connected to mysql db
[2003/09/29 07:55:57, 5] passdb/pdb_interface.c:make_pdb_methods_name(455)
  pdb backend mysql:mysql has a valid init
[2003/09/29 07:55:57, 5] passdb/pdb_interface.c:make_pdb_context_list(535)
  Trying to load: smbpasswd
[2003/09/29 07:55:57, 5] passdb/pdb_interface.c:make_pdb_methods_name(431)
  Attempting to find an passdb backend to match smbpasswd (smbpasswd)
[2003/09/29 07:55:57, 5] passdb/pdb_interface.c:make_pdb_methods_name(452)
  Found pdb backend smbpasswd
[2003/09/29 07:55:57, 5] passdb/pdb_interface.c:make_pdb_methods_name(455)
  pdb backend smbpasswd has a valid init
[2003/09/29 07:55:57, 5] passdb/pdb_interface.c:make_pdb_methods_name(431)
  Attempting to find an passdb backend to match guest (guest)
[2003/09/29 07:55:57, 5] passdb/pdb_interface.c:make_pdb_methods_name(452)
  Found pdb backend guest
[2003/09/29 07:55:57, 5] passdb/pdb_interface.c:make_pdb_methods_name(455)
  pdb backend guest has a valid init
Comment 1 s_i_lao 2003-10-09 02:31:54 UTC
Just to confirm this and to make a couple of observations:
- it happens on every passdb backend from smbpasswd, tdbsam and ldapsam
- it happens when the number of users exceeds 14; the 15th added, the list
cannot be seen.
Comment 2 Geza Gemes 2003-10-23 10:15:18 UTC
This bug is the same as bug #596, because this one was reported first please
consider refering to this one
Comment 3 Jeremy Allison 2003-10-23 13:54:48 UTC
Fixed in CVS. Error in mapping NT_STATUS_MORE_DATA to DOS error code.
Jeremy.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:27:50 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 5 Gerald (Jerry) Carter 2005-11-14 09:31:12 UTC
database cleanup